:root {
  /**** VARIABLES GLOBALES *****/

  /* couleurs */
  --orange: #E95420;
  --light-aubergine: #77216F;
  --mid-aubergine: #5E2750;
  --dark-aubergine: #2C001E;
  --warm-grey: #AEA79F;
  --cool-grey: #333333;
  --text-grey: #111111;
  
  /* marges */
  --internal-margin: 1.6rem;
  --external-margin: 2rem;

  scroll-behavior: smooth;
}

/****** GABARIT ******/
main {
  display: grid;
  grid-template-areas: 'content sidebar';
  grid-template-columns: auto 14rem;
  padding: 0;
}
.dw-content {
  grid-area: content;
  padding: var(--internal-margin);
  min-width: 0;
}

/****** COLONNE ******/
#control-panel {
  grid-area: sidebar;
  position: sticky;
  display: flex;
  top: calc(4.5rem + 3rem);
  width: 14rem;
  height: calc(100vh - 4.5rem - 3.05rem);
  z-index: 80;
  font-size: .8rem;
}
#controls {
  background: linear-gradient(150deg, var(--mid-aubergine), var(--orange) 200%);
  padding: var(--internal-margin);
  width: 14rem;
  height: calc(100vh - 4.5rem - 3rem);
  overflow-y: auto;
}
#controls h3 {
  font-size: 1rem;
}
#controls h3, #controls a {
  color: rgba(255,255,255,.7);
}
#controls a:hover {
  color: white;
  background-color: transparent;
}
#controls ul {
  margin: 0;
}
#controls li:before {
  display: none;
}
#dw__toc > div > ul, .tools div > ul {
  padding-left: 0;
}
.dark #controls {
  background: linear-gradient(150deg, var(--mid-aubergine), var(--dark-aubergine) 200%);
}
#dw__toc #search {
  margin-top: 0;
}

/****** CONTENU ******/
.dw-content img {
  display: inline;
}
.dw-content li div {
  display: inline-block;
  width: calc(100% - .25rem);
}
.dw-content h1 {
  margin-top: 1em;
}
.tags {
  text-align: right;
  padding-bottom: .5rem;
  border-bottom: 1px solid rgba(125,125,125,.3);
}
.noteimportant, .notetip, .noteclassic, .notewarning, .notehelp {
  background-image: none;
  margin: 0 0 1rem 0;
  border-radius: 0;
  padding: 1rem 1rem 1rem 2rem;
  position: relative;
  z-index: 1;
  color: #222;
  overflow: hidden;
}
.dark .noteimportant, .dark .notetip, .dark .noteclassic, .dark .notewarning, .dark .notehelp {
  color: white;
}
.noteimportant:after, .notetip:after, .noteclassic:after, .notewarning:after, .notehelp:after {
  font-family: font-awesome;
  color: white;
  font-size: 4rem;
  left: -1rem;
  top: 1rem;
  width: 4rem;
  text-align: center;
  position: absolute;
  z-index: -1;
  opacity: .4;
}
.dark .noteimportant:after, .dark .notetip:after, .dark .noteclassic:after, .dark .notewarning:after, .dark .notehelp:after {
  opacity: .1;
}
.noteimportant {
  background-color: #c4bfb8;
}
.dark .noteimportant {
  background-color: #4b4443;
}
.noteimportant:after {
  content: "\f06a";
}
.notetip {
  background-color: #d6e4d3;
}
.dark .notetip {
  background-color: #626960;
}
.notetip:after {
  content: "\f0eb";
}
.noteclassic {
  background-color: #ccd0f7;
}
.dark .noteclassic {
  background-color: #646676;
}
.noteclassic:after {
  content: "\f05a";
}
.notewarning:after {
  content: "\f256";
}
.notehelp {
  background-color: #d6e4d3;
}
.dark .notehelp {
  background-color: #626960;
}
.notehelp:after {
  content: "\f059";
}
.file dt {
  padding-left: 1.3rem;
  background-color: #ccc;
}
.file dt+dd pre {
  margin-top: 0;
}
pre.file {
  background-color: #eee;
  color: #444;
  border-left: .5rem solid #ccc;
}
.dark pre.file {
  background-color: #aaa;
  border-left: .5rem solid #999;
}
.dark .file dt {
  background-color: #999;
}
.table-responsive {
  overflow: auto;
}
.button .no {
  position:relative;
}
.mediaright {
  float: right;
}

/****** INTERFACE ******/
.secedit button:before {
  content: '\f044';
  font-family: font-awesome;
  color: white;
  display: block;
  background-color: var(--warm-grey);
  border: none;
  color: rgba(255,255,255,0.7);
  text-align: center;
  text-decoration: none;
  z-index: 2;
  cursor: pointer;
  transition: .2s;
  font-size: .8rem;
  width: var(--size);
  height: var(--size);
  line-height: var(--size);
  text-align: center;
  position: absolute;
}
.dark .secedit button:before {
  background-color: #242424;
  color: rgba(255,255,255,0.3);
}
.secedit button:hover:before, .dark .secedit button:hover:before {
  background: var(--orange);
  color: white;
}
.secedit button {
  --size: 1.8rem;
  position: absolute;
  bottom: .2rem;
  right: .2rem;
  height: 0;
  width: 0;
  padding: 0;
  font-size: 0;
  box-shadow: none;
  background-color: red;
}

/****** POIGNEE COLONNE ******/
#control-panel #handle {
  display: none;
  top: 2rem;
  height: 3rem;
  width: 2.1rem;
  position: relative;
  background: linear-gradient(150deg, var(--mid-aubergine) -20%, var(--orange) 2000%);
  border-radius: 1.5rem 0 0 1.5rem;
  cursor: pointer;
}
.dark #control-panel #handle {
  background: linear-gradient(150deg, var(--mid-aubergine) -20%, var(--dark-aubergine) 2000%);
}
#control-panel #handle:after, #control-panel #handle:before {
  background-color: rgba(220, 220, 220, .85);
  pointer-events: none;
  left: .6rem;
  height: 10%;
  width: 60%;
  position: absolute;
  content: "";
  transition: .4s;
}
#control-panel #handle:before {
  top: 1rem;
  transform: rotate(-45deg);
}
#control-panel #handle:after {
  top: 1.7rem;
  transform: rotate(45deg);
}
#control-panel.opened #handle:before {
  transform: rotate(45deg);
  left: .8rem;
}
#control-panel.opened #handle:after {
  transform: rotate(-45deg);
  left: .8rem;
}

/****** BREAKPOINTS ******/
@media (max-width: 1000px) {
  /** tablette + smartphone **/
  main {
    grid-template-columns: 100% 16.1rem;
  }
  #control-panel {
    width: 16.1rem;
    grid-column-start: 1;
    grid-column-end: 1;
    justify-self: end;
    height: calc(100vh - 4.5rem - 3rem);
    overflow: hidden;
    pointer-events: none;
  }
  #control-panel > div {
    display: flex;
    position: absolute;
    top: 0;
    left: 14rem;
    transition: .4s;
  }
  #controls {
    height: calc(100vh - 4.5rem - 3rem);
    pointer-events: auto;
  }
  #control-panel.opened > div {
    left: 0;
  }
  #control-panel #handle {
    display: block;
    pointer-events: auto;
  }
}
@media (max-width: 415px) {
  /** smartphone **/
  #control-panel {
    top: 4.5rem;
    height: calc(100vh - 4.5rem);
  }
  #controls {
    height: calc(100vh - 4.5rem);
  }
}
@media (min-width: 416px) and (max-height: 800px) {
  /** smartphone paysage **/
  #control-panel {
    top: 3rem;
    height: calc(100vh - 3rem);
  }
  #controls {
    height: calc(100vh - 3rem);
  }
}
